<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.example.base">

    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <application>
        <!--适配华为刘海屏-->
        <meta-data
            android:name="android.notch_support"
            android:value="true" />
        <!--适配小米刘海屏-->
        <meta-data
            android:name="notch.config"
            android:value="portrait|landscape" />
        <meta-data
            android:name="android.max_aspect"
            android:value="2.4" />

        <!-- 文件权限路径配置 -->
        <provider
            android:name=".utils.FilePickerProvider"
            android:authorities="${applicationId}.fileProvider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/provider_paths" />
        </provider>

        <activity
            android:name=".browser.BrowserActivity"
            android:label="web浏览器"
            android:launchMode="singleTask" />
    </application>
</manifest>